import { encodeCID } from 'ipfs-message-port-protocol/cid';
export class FilesService {
  constructor(ipfs) {
    this.ipfs = ipfs;
  }
  async stat(input) {
    const stat = await this.ipfs.files.stat(input.path, input);
    const transfer = new Set();
    return {
      stat: {
        ...stat,
        cid: encodeCID(stat.cid, transfer)
      },
      transfer
    };
  }
}